# DIS Protocol Examples using Open-DIS-Java Library v7

These examples illustrate use of latest OpenDis7 library for IEEE Distributed Interactive Simulation (DIS) Protocol.

<!-- View this page at https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/examples/src/OpenDis7Examples/README.md -->

All examples are tested, running and documented satisfactorily.

This package presents course examples using the [Open-DIS-Java](https://github.com/open-dis/opendis7-java) library, with online [Javadoc](https://savage.nps.edu/opendis7-java/javadoc) showing complete coverage of 72 DIS PDUs and 22,000+ enumerations.

See the [specifications](../../../specifications) directory to for guidance on obtaining reference copies of DIS and RPRFOM standards.

|  AllPduSender packets in Wireshark   |EspduSender packets in Wireshark  |
|--------------------------------------|----------------------------------|
|  ![AllPduSender Wireshark](AllPduSenderWireshark.png "AllPduSender Wireshark") | ![EspduSenderSender Wireshark](EspduSenderWireshark.png "Multicast UDP Sender Wireshark") |

| Example Simulation Program packets in Wireshark | PduReaderPlayer in Wireshark |
|-------------------------------------------------|------------------------------|
| ![Example Simulation Program packets in Wireshark](ExampleSimulationProgramWireshark.png "Example Simulation Program packets in Wireshark") | ![PduReaderPlayer in Wireshark](PduReaderPlayerWireshark.png "PduReaderPlayer in Wireshark") |